# TransactionObject

* `chainId`: ChainId
* `from`: The address the transaction is sent from.
* `to`: The address the transaction is directed to.
* `value`: Integer of the value send with this transaction
* `data`: The compiled code of a contract OR the hash of the invoked method signature and encoded parameters.
* `gas`: Integer of the gas provided for the transaction execution.
* `maxFeePerGas`: maximum amount you’re willing to pay.
* `maxPriorityFeePerGas`: The part of the fee that goes to the miner
* `nonce`: Integer of a nonce.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloud.debank.com/en/readme/api-models/transactionobject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
